[@bigcommerce/checkout-sdk](../README.md) / NonceInstrument

# Interface: NonceInstrument

## Table of contents

### Properties

- [deviceSessionId](NonceInstrument.md#devicesessionid)
- [nonce](NonceInstrument.md#nonce)
- [shouldSaveInstrument](NonceInstrument.md#shouldsaveinstrument)
- [shouldSetAsDefaultInstrument](NonceInstrument.md#shouldsetasdefaultinstrument)
- [tokenType](NonceInstrument.md#tokentype)

## Properties

### deviceSessionId

• `Optional` **deviceSessionId**: `string`

___

### nonce

• **nonce**: `string`

___

### shouldSaveInstrument

• `Optional` **shouldSaveInstrument**: `boolean`

___

### shouldSetAsDefaultInstrument

• `Optional` **shouldSetAsDefaultInstrument**: `boolean`

___

### tokenType

• `Optional` **tokenType**: `string`
